# Interface LogSource

All Superinterfaces:
  `Iterable<LogEntry>`

All Known Implementing Classes:
  `Log4JSource, MergedLogSource, TxnLogSource`

public interface LogSource extends Iterable<LogEntry>

## Method Summary

Modifier and Type
Method
Description
`long`
`getEndTime()`
`long`
`getStartTime()`
`LogIterator`
`iterator()`
`LogIterator`
`iterator(long starttime, long endtime)`
`LogIterator`
`iterator(long starttime, long endtime, FilterOp filter)`
`boolean`
`overlapsRange(long starttime, long endtime)`
`long`
`size()`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Method Details

### iterator

LogIterator iterator(long starttime, long endtime, FilterOp filter) throws IllegalArgumentException, FilterException

Throws:
  `IllegalArgumentException`
  `FilterException`

### iterator

LogIterator iterator(long starttime, long endtime) throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

### iterator

LogIterator iterator() throws IllegalArgumentException

Specified by:
  `iterator` in interface `Iterable<LogEntry>`
Throws:
  `IllegalArgumentException`

### overlapsRange

boolean overlapsRange(long starttime, long endtime)

### size

long size()

### getStartTime

long getStartTime()

### getEndTime

long getEndTime()